Name:           ocaml-fd
Version:        1.1.0
Release:        %mkrel 5
Summary:        Descriptor-passing functions for OCaml
Source:         http://oss.digirati.com.br/ocaml-fd/ocaml-fd-%{version}.tar.gz
URL:            http://oss.digirati.com.br/ocaml-fd/
License:        LGPL 2.1
Group:          Development/OCaml
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  tetex-latex

%description
This OCaml library implements miscellaneous functions related to UNIX file
descriptors. Currently, send_fd, recv_fd and fexecve are implemented.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n ocaml-fd-%{version}

%build
make all opt
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/fd
make install

%files
%doc INSTALL LICENSE
%dir %{_libdir}/ocaml/fd/
%{_libdir}/ocaml/fd/*.cmi
%{_libdir}/ocaml/fd/*.cma
%{_libdir}/ocaml/fd/META
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/fd/
%doc test/ml/
%{_libdir}/ocaml/fd/*.a
%{_libdir}/ocaml/fd/*.mli
%{_libdir}/ocaml/fd/*.cmxa


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-5.mga3
+ Revision: 361318
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.1.0-4.mga3
+ Revision: 301444
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.1.0-2.mga3
+ Revision: 300090
- new rpm group for ocaml

* Fri Mar 23 2012 blue_prawn <blue_prawn> 1.1.0-1.mga2
+ Revision: 225926
- imported package ocaml-fd

